package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lgo;
import com.brilliance.isc.model.lgb.LgoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (Lgo)表数据库访问层
 *
 */
public interface LgoMapper {

    /**
     * 向Lgo表插入数据
     *
     * @param lgo
     * @return
     */
    int insert(Lgo lgo);

    Lgo getLgoByInr(@Param("inr") String inr);

    /**
     * 根据指向的业务表名和指向的业务表主键查询Lgo表数据
     *
     * @param objtyp
     * @param objinr
     * @return
     */
    Lgo queryLgoByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    List<Lgo> getLgoByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);
    /**
     * 通过lgb inr查询数据
     *查询额度明细(lgo表)
     * @param  lgbinr
     * @return 对象列表
     */
    List<LgoVo> queryLgoByIdLgbInr(@Param("lgbinr") String lgbinr);
}
